## Struct template server_constructor<void(Server::*)(T0, T1, T2)>

zeep::http::preforked_server_base::server_constructor<void(Server::*)(T0, T1, T2)>

## Synopsis

    // In header: </home/maarten/projects/libzeep/zeep/http/preforked-server.hpp>

    template<typename Server, typename T0, typename T1, typename T2>
    struct server_constructor<void(Server::*)(T0, T1, T2)> {

      // public member functions
       server_constructor(T0, T1, T2);
      server * construct();
    };

## Description

### `server_constructor` public member functions

1.      server_constructor(T0 t0, T1 t1, T2 t2);

2.     server * construct();